package org.jeecg.modules.projectManagement.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdClinicalProjectMilestones;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.projectManagement.entity.FdContract;
import org.jeecg.modules.projectManagement.entity.FdProjectQuotation;

import java.util.List;
import java.util.Map;

/**
 * @Description: 临床项目里程碑
 * @author： jeecg-boot
 * @date：   2019-06-03
 * @version： V1.0
 */
public interface IFdClinicalProjectMilestonesService extends IService<FdClinicalProjectMilestones> {

    IPage<FdClinicalProjectMilestones> findByPage(Page<FdClinicalProjectMilestones> page, QueryWrapper<FdClinicalProjectMilestones> queryWrapper);

    void addAll(FdClinicalProjectMilestones fdClinicalProjectMilestones);

    List<FdClinicalProjectMilestones> getByMilestonesId(String id);

    FdClinicalProjectMilestones getClinicalByConId(String contractId);

    void deleteAll(String id);

    void copy(String id);


    Map<String, Object> auditBatch(@Param("list") List<String> list);

    Map<String, Object> reviewBatch(@Param("list") List<String> list);

    void viewUpdateMilestonesItems(FdClinicalProjectMilestones fdClinicalProjectMilestones);

    List<FdContract> getFileContractList();

    List<FdClinicalProjectMilestones> progressReport(String startDate, String endDate);

    List<FdClinicalProjectMilestones> clinAndBioProgressReport(String startDate, String endDate);

    List<FdClinicalProjectMilestones> getMainExport(FdClinicalProjectMilestones fdClinicalProjectMilestones);
}
